lists.openwall.net   lists  /  announce  owl-users  owl-dev  john-users  john-dev  passwdqc-users  yescrypt  popa3d-users  /  oss-security  kernel-hardening  musl  sabotage  tlsify  passwords  /  crypt-dev  xvendor  /  Bugtraq  Full-Disclosure  linux-kernel  linux-netdev  linux-ext4  linux-hardening  PHC 
Open Source and information security mailing list archives
 
Hash Suite: Windows password security audit tool. GUI, reports in PDF.
[<prev] [next>] [<thread-prev] [thread-next>] [day] [month] [year] [list]
Date:   Tue, 17 Mar 2020 09:45:45 +0100
From:   Michal Kubecek <mkubecek@...e.cz>
To:     netdev@...r.kernel.org
Cc:     Jakub Kicinski <kuba@...nel.org>, davem@...emloft.net,
        linux-net-drivers@...arflare.com, ecree@...arflare.com,
        mhabets@...arflare.com, jaswinder.singh@...aro.org,
        ilias.apalodimas@...aro.org, Jose.Abreu@...opsys.com,
        andy@...yhouse.net, grygorii.strashko@...com, andrew@...n.ch,
        michal.simek@...inx.com, radhey.shyam.pandey@...inx.com
Subject: Re: [PATCH net-next 9/9] net: ethtool: require drivers to set
 supported_coalesce_params

On Mon, Mar 16, 2020 at 01:47:12PM -0700, Jakub Kicinski wrote:
> Now that all in-tree drivers have been updated we can
> make the supported_coalesce_params mandatory.
> 
> To save debugging time in case some driver was missed
> (or is out of tree) add a warning when netdev is registered
> with set_coalesce but without supported_coalesce_params.
> 
> Signed-off-by: Jakub Kicinski <kuba@...nel.org>
> ---

Reviewed-by: Michal Kubecek <mkubecek@...e.cz>

Powered by blists - more mailing lists